Bug 1428991 - Reordering issue on environment tab dc/bc page
Summary: Reordering issue on environment tab dc/bc page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 3.7.0
Assignee: bpeterse
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-03 18:43 UTC by Eduard Trott
Modified: 2017-11-28 21:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously there was a quirk in the drag-and-drop behavior of the key value editor. While reordering an env var it might jump more than a single node at a time. This bug fix ensures that the drag-and-drop behavior will behave as expected.
Clone Of:
Environment:
Last Closed: 2017-11-28 21:53:01 UTC
Target Upstream Version:


Attachments (Terms of Use)
video (860.36 KB, application/octet-stream)
2017-03-03 18:43 UTC, Eduard Trott
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description Eduard Trott 2017-03-03 18:43:42 UTC
Created attachment 1259668 [details]
video

Description of problem:
Strange reordering behavior appearing when I'm trying to reorder env variables on bc/dc environment tab.
When I hold one variable box and trying to move it down I see that I can move it down by even number of positions only:
so if my I'm trying to reorder first variable I can move it only to the third/fifth/.. position.
When I'm moving variable up I'm not seeing such picture.

Version-Release number of selected component (if applicable):
oc v3.5.0.37
      kubernetes v1.5.2+43a9be4
      features: Basic-Auth GSSAPI Kerberos SPNEGO

How reproducible:
always

Steps to Reproduce:
1. Create app
2. go to bc environment tab
3. create variables
4. try to place first variable to the second row

Actual results:
can't place

Expected results:
can place

Additional info:
video attachment added

Comment 1 Eduard Trott 2017-03-03 18:54:19 UTC
server version
openshift v3.5.0.35
kubernetes v1.5.2+43a9be4

Comment 2 bpeterse 2017-03-06 17:08:39 UTC
Looking into this. May be something we own, or may be an issue with the ng-sortable module we import.

Comment 3 bpeterse 2017-08-23 18:22:34 UTC
PR opened to address this issue https://github.com/openshift/origin-web-console/pull/1962

Comment 4 bpeterse 2017-08-29 15:29:23 UTC
PR merged
https://github.com/openshift/origin-web-console/pull/1962

Comment 6 Yadan Pei 2017-11-01 01:35:22 UTC
variables could be re-ordered(move up/down) correctly on DC/BC environment tab


Verified on v3.7.0-0.184.0

Comment 10 errata-xmlrpc 2017-11-28 21:53:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.